import * as z from 'zod';
export const PdfGroupGroupByResultSchema = z.array(z.object({
  id: z.number().int(),
  title: z.string(),
  createdAt: z.date(),
  patientId: z.number().int(),
  _count: z.object({
    id: z.number(),
    title: z.number(),
    titleKey: z.number(),
    createdAt: z.number(),
    patientId: z.number(),
    patient: z.number(),
    pdfs: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    patientId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    patientId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    title: z.string().nullable(),
    createdAt: z.date().nullable(),
    patientId: z.number().int().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    title: z.string().nullable(),
    createdAt: z.date().nullable(),
    patientId: z.number().int().nullable()
  }).nullable().optional()
}));